Bug 1129572 - [abrt] strace: init(): strace killed by SIGSEGV
Summary: [abrt] strace: init(): strace killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: strace
Version: 7.2
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jeff Law
QA Contact: Michael Petlan
URL:
Whiteboard: abrt_hash:552ea56d72903168d4414960fd5...
Depends On: 1129569
Blocks: 1109875
TreeView+ depends on / blocked
 
Reported: 2014-08-13 08:48 UTC by Michal Toman
Modified: 2015-11-19 09:08 UTC (History)
12 users (show)

Fixed In Version: strace-4.8-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1129569
Environment:
Last Closed: 2015-11-19 09:08:52 UTC


Attachments (Terms of Use)
strace-ptrace-prototype.patch (1.00 KB, patch)
2014-08-13 12:09 UTC, Michal Toman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2145 normal SHIPPED_LIVE strace bug fix update 2015-11-19 09:21:45 UTC

Description Michal Toman 2014-08-13 08:48:50 UTC
+++ This bug was initially created as a clone of Bug #1129569 +++

Description of problem:
Getting a segmentation fault when trying to attach to a process on ppc64le. Only happens when attaching, running '$ strace cmd' works fine.

Version-Release number of selected component:
strace-4.8-5.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        strace -p 3250
crash_function: init
executable:     /usr/bin/strace
kernel:         3.14.0-1.fc21.ppc64le
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 newoutf at strace.c:644
 #1 startup_attach at strace.c:976
 #2 init at strace.c:1836

Comment 1 Michal Toman 2014-08-13 08:49:37 UTC
The same happens on RHEL7 with strace-4.8-8.bs3.ppc64le

Comment 3 Michal Toman 2014-08-13 12:09:53 UTC
Created attachment 926382 [details]
strace-ptrace-prototype.patch

Upstream commit 03ef0b2665363adf6100bc4af479a14b5f17bc27 fixes the problem. Attaching the patch applicable to RHEL7 dist git.

Comment 9 Michael Petlan 2015-05-13 10:01:05 UTC
Tests passed for strace-4.8-10.ael7b.ppc64le

Comment 11 Michael Petlan 2015-06-01 13:12:23 UTC
Tested with the latest .el7 build - strace-4.8-10.el7.ppc64le --> VERIFIED.

Comment 17 errata-xmlrpc 2015-11-19 09:08:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2145.html


Note You need to log in before you can comment on or make changes to this bug.